summaryrefslogtreecommitdiff
path: root/support-files/mysql.server.sh
diff options
context:
space:
mode:
authorram@gw.mysql.r18.ru <>2004-02-02 15:25:20 +0400
committerram@gw.mysql.r18.ru <>2004-02-02 15:25:20 +0400
commitd75674a5419bdded9e81e0ee4690639f1542a484 (patch)
treec37a6adf623857c29964467f0e01be480211648b /support-files/mysql.server.sh
parent0216948c5b997b07490391c79af9a20f3a618955 (diff)
downloadmariadb-git-d75674a5419bdded9e81e0ee4690639f1542a484.tar.gz
a fix (#2185: mysql.server script echo bug)
thnx Paul. <monty> can you get the above into configure and make Makefile.am patch mysql.server.sh with the right values for mysql.server ? <monty> or do you think we should just put the above in mysql.server.sh directly <ramil> as you want <monty> the last is kind of hard to do with variables, so lets put the above in mysql.server.sh directly
Diffstat (limited to 'support-files/mysql.server.sh')
-rw-r--r--support-files/mysql.server.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/support-files/mysql.server.sh b/support-files/mysql.server.sh
index d55068db64e..f57e834d045 100644
--- a/support-files/mysql.server.sh
+++ b/support-files/mysql.server.sh
@@ -59,6 +59,14 @@ export PATH
mode=$1 # start or stop
+case `echo "testing\c"`,`echo -n testing` in
+ *c,*) echo_n=-n echo_c= ;;
+ *,-n*) echo_n= echo_c='\c' ;;
+ *) echo_n= echo_c='
+'
+;;
+esac
+
parse_arguments() {
for arg do
case "$arg" in
@@ -169,7 +177,7 @@ case "$mode" in
sleep 1
while [ -s $pid_file -a "$flags" != aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa ]
do
- [ -z "$flags" ] && echo "Wait for mysqld to exit\c" || echo ".\c"
+ [ -z "$flags" ] && echo $echo_n "Wait for mysqld to exit$echo_c" || echo $echo_n ".echo_c"
flags=a$flags
sleep 1
done